PHP: Hypertext Preprocessor, popularly known as PHP, is a famous general-purpose server-side programming language, which can be used to build dynamic sites with interactive components such as discussion forums, e-learning websites or community portals. In comparison to static HTML-based websites, a PHP website can display different content to each user under the same URL. Given the fact that PHP-based web apps can be managed via a Control Panel tool, which you can log into using any browser, you won’t need to possess any programming experience or previous experience to administer a PHP site. The fact that 100s of millions of sites around the globe are built using PHP is an indication of the language’s popularity and ease of use. You only need to confirm whether or not the web server where you host your site supports the same PHP version as the one that you used while building the website.

PHP 4 and PHP 5 Support in Cloud Hosting

Our cloud hosting servers support several versions of PHP, so your websites will work flawlessly even if your scripts are out of date. We acknowledge the fact that an old website does not invariably suggest a vulnerable one as you may have implemented plenty of code modifications. That is the reason why we support PHP 5.5, 5.4, 5.3, 5.2 and 4 and you can decide which version will be active for your hosting account. The version can be changed with a single mouse click through your Hepsia hosting Control Panel and the new settings will be applied momentarily. If you’d like to run both newer and older scripts, there’s even an option to use a different PHP version for each domain of yours simultaneously.

PHP 4 and PHP 5 Support in Semi-dedicated Hosting

Even if your websites were created with an earlier PHP version, you’ll be able to host them in a semi-dedicated server account from us, as we support several versions running simultaneously on our semi-dedicated servers and each of them can be enabled for your account with just a click of the mouse via our custom-developed Hepsia Control Panel. Apart from the most recent PHP 5.4 and PHP 5.5, we also support 5.3, 5.2 and the older PHP 4, which has already been dropped by the vast majority of hosting providers, but we consider that you should not be compelled to modify a site that took years to set up, as older script language syntax does not invariably imply security loopholes. Quite the opposite, a properly maintained site using PHP 4 can be more reliable than a mismaintained one using PHP 5. For the sake of your convenience, we’ll also offer you the opportunity to pick a different PHP version for each individual website within your account.